Bug 530204 - Review Request: rubygem-hawler - Hawler, the Ruby HTTP crawler
Summary: Review Request: rubygem-hawler - Hawler, the Ruby HTTP crawler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 20:53 UTC by Jeroen van Meeuwen
Modified: 2009-12-22 19:55 UTC (History)
2 users (show)

Fixed In Version: 0.3-5.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-21 14:14:53 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Patch to fix test failure (538 bytes, text/plain)
2009-10-25 16:41 UTC, Mamoru TASAKA
no flags Details

Description Jeroen van Meeuwen 2009-10-21 20:53:03 UTC
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-hawler.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/rubygem-hawler-0.3-2.fc12.src.rpm
Description: Hawler, the Ruby HTTP crawler

The not-so-funny thing is, I don't know what kinda license this package is. I was hoping someone could help with that. The license file is at http://spoofed.org/files/hawler/src/COPYING

rpmlint again complains about that License, of course, and also some other warnings that do not make sense:

$ rpmlint /home/jmeeuwen/devel/rpmbuild/RPMS/noarch/rubygem-hawler-0.3-2.fc12.noarch.rpm
rubygem-hawler.noarch: W: invalid-license Unknown
rubygem-hawler.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/hawler-0.3/ri/Hawlee/get%3f-i.yaml %3f
rubygem-hawler.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/hawler-0.3/ri/Hawlee/head%3f-i.yaml %3f
rubygem-hawler.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/hawler-0.3/ri/Hawlee/harvest%3f-i.yaml %3f
rubygem-hawler.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/hawler-0.3/ri/HawlerHelper/offsite%3f-c.yaml %3f
rubygem-hawler.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/hawler-0.3/ri/Hawlee/analyze%3f-i.yaml %3f
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 1 Mamoru TASAKA 2009-10-24 16:46:20 UTC
Some notes

* Unneeded macro
  - %ruby_sitelib is used nowhere.

* License
  - MIT.
    However please include the following file
    http://spoofed.org/files/hawler/src/COPYING
    in the srpm with the full URL and install this
    file (I think installing under %geminstdir is
    better), mark this as %doc

* %description
  - Are there any a bit more detailed description?

* Test
  - As this gem file contains test/ directory, please
    add %check section and execute some tests there.

Comment 2 Jeroen van Meeuwen 2009-10-24 23:03:12 UTC
(In reply to comment #1)
> Some notes
> 
> * Unneeded macro
>   - %ruby_sitelib is used nowhere.
> 

Removed

> * License
>   - MIT.
>     However please include the following file
>     http://spoofed.org/files/hawler/src/COPYING
>     in the srpm with the full URL and install this
>     file (I think installing under %geminstdir is
>     better), mark this as %doc
> 

Fixed

> * %description
>   - Are there any a bit more detailed description?
> 

I c/p'ed an extra line from the README, not sure what else to put in there.

> * Test
>   - As this gem file contains test/ directory, please
>     add %check section and execute some tests there.  

Two out of three tests require rubygem-hpricot, which is not in Fedora yet. Enabled the other test though.

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-hawler.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-hawler-0.3-3.fc12.src.rpm

Comment 3 Mamoru TASAKA 2009-10-25 03:44:49 UTC
Well, I have not checked your latest srpm yet, however:
(In reply to comment #1)
> * License
>   - MIT.

No, this is BSD, not MIT, sorry...

(In reply to comment #2)
> (In reply to comment #1)
> > * Test
> >   - As this gem file contains test/ directory, please
> >     add %check section and execute some tests there.  
> 
> Two out of three tests require rubygem-hpricot, which is not in Fedora yet.
> Enabled the other test though.

- rubygem-hpricot is already in Fedora and actually the maintainer
  is me (if upgrade or bug fix is needed, please file a bug)

Comment 4 Jeroen van Meeuwen 2009-10-25 11:42:25 UTC
(In reply to comment #3)
> Well, I have not checked your latest srpm yet, however:
> (In reply to comment #1)
> > * License
> >   - MIT.
> 
> No, this is BSD, not MIT, sorry...
> 

No problem; corrected in the new SPEC/SRPM.

> (In reply to comment #2)
> > (In reply to comment #1)
> > > * Test
> > >   - As this gem file contains test/ directory, please
> > >     add %check section and execute some tests there.  
> > 
> > Two out of three tests require rubygem-hpricot, which is not in Fedora yet.
> > Enabled the other test though.
> 
> - rubygem-hpricot is already in Fedora and actually the maintainer
>   is me (if upgrade or bug fix is needed, please file a bug)  

Ha! How did I miss this! ;-) Enlisted myself as co-maintainer if you don't mind. Made it a BuildRequirement and enabled all three tests separately (as one of them would still fail but I want the output of all three in the build logs).

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-hawler.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-hawler-0.3-4.fc12.src.rpm

Comment 5 Mamoru TASAKA 2009-10-25 16:41:14 UTC
Created attachment 366035 [details]
Patch to fix test failure

For -4:

* Requires
----------------------------------------
BuildRequires:  rubygem(hpricot)
----------------------------------------
  - Well, lib/hawlerhelper.rb actually requires hpricot, so
    it may be better that "Requires: rubygem(hpricot)" is added.

* Test
(In reply to comment #4)
> (as one
> of them would still fail but I want the output of all three in the build logs).
  - The attached patch should fix test failure, provided that
    net connection is in active.
    Note that test/ts_hawlerhelper.rb still fails without net connection.

Comment 6 Jeroen van Meeuwen 2009-11-01 13:05:39 UTC
- Added Requires: rubygem(hpricot)
- Added patch (but kept tests to not break the build if net connection is not available)

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-hawler.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-hawler-0.3-5.fc12.src.rpm

Comment 7 Mamoru TASAKA 2009-11-01 18:08:41 UTC
-----------------------------------------------------------
    This package (rubygem-hawler) is APPROVED by mtasaka
-----------------------------------------------------------

Comment 8 Jeroen van Meeuwen 2009-11-01 19:54:50 UTC
New Package CVS Request
=======================
Package Name: rubygem-hawler
Short Description: Hawler, the ruby HTTP crawler
Owners: kanarip
Branches: EL-4 EL-5 F-11 F-12
InitialCC:

Comment 9 Kevin Fenzi 2009-11-03 04:35:30 UTC
cvs done.

Comment 10 Mamoru TASAKA 2009-11-07 17:11:39 UTC
Please submit push request on bodhi.

Comment 11 Fedora Update System 2009-11-07 22:02:32 UTC
rubygem-hawler-0.3-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-hawler-0.3-5.fc12

Comment 12 Fedora Update System 2009-11-07 22:02:37 UTC
rubygem-hawler-0.3-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-hawler-0.3-5.fc11

Comment 13 Fedora Update System 2009-11-10 17:47:21 UTC
rubygem-hawler-0.3-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-hawler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11208

Comment 14 Fedora Update System 2009-11-10 17:57:51 UTC
rubygem-hawler-0.3-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-hawler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11298

Comment 15 Mamoru TASAKA 2009-11-21 14:14:53 UTC
Closing.

Comment 16 Fedora Update System 2009-12-22 19:54:12 UTC
rubygem-hawler-0.3-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-12-22 19:55:35 UTC
rubygem-hawler-0.3-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.